# hb-data

## hb数据解析入库

从hb-datas数据库将数据提取至fd-data,然后通过校验发布至vision_product

### 代码结构

- db：数据库类
- sync：数据同步任务
    - data_check：数据审核
    - publish：数据发布
    - rl_fof_concent.py：同步任务
- utillities：工具类

### 开发流程

2. 在sync中新建{表名}.py，代码继承sync/base_sync.py
3. 所有任务需要保留2个参数
    - rebuild：是否重建表
    - update：自动获取上次更新的tmstamp，并刷新后面数据

### 注意

1. 所有数据均有is_verify和flag字段，分别代表审核字段和逻辑删除字段
2. is_verify有三种状态，0：新增，1：已审核，2：数据更新未审核
3. flag有两种状态，1：数据有效，null：数据删除，所有数据均采用逻辑删除
4. 所有数据同步到生产库后，进行审核流程，审核完成后再将数据同步到发布库